/*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

	Javier Quevedo Fernández 05-2009.

*/
package net.ximpel.classes
{
	
	public class InteractiveVideo implements IHasXMLRepresentation
	{
		public var subjects:Array = new Array;
		public function InteractiveVideo()
		{
			var subject : Subject = new Subject();
			subject.id = "none";
			subjects.push(subject);
		}
		
		public function addSubject(subject:Subject):void
		{
			subjects.push(subject);
		}

		public function removeSubject(subject:Subject):void{
			subjects.splice(subjects.indexOf(subject),1);
		}
		public function getSubject(id:String):Subject{
			for (var _subjectO : Object in subjects as Subject){
				var _subject : Subject= _subjectO as Subject;
				if (_subject.id == id) return _subject;
			}
			return null;
		}
		public function toXML():XML 
		{
			var xml : XML;
			return xml;
		}
	}
}