/*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

	Javier Quevedo Fernández 05-2009.

*/
package net.ximpel.classes
{
	public class Score implements IHasXMLRepresentation
	{
		[Bindable]
		public var points:int;
		[Bindable]
		public var type:String;
		public function Score (newPoints:int = 0, newType:String = "")
		{
			points = newPoints;
			type = newType;
		}
		
		public function toXML():XML 
		{
			var score:XML;
			
			if(type)
			{
				score = 
					<score type={type}>{points}</score>;
			}
			else 
			{
				score = 
					<score>{points}</score>;
			}
			return score;
		}

	}
}