/*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

	Javier Quevedo Fernández 05-2009.

*/
package net.ximpel.classes
{

	import com.adobe.flex.extras.controls.springgraph.Item;
	
	public class XimpelGraphItem extends Item
	{
		[Bindable]
		public var type:String;
		[Bindable]
		public var description:String = new String("source");
		[Bindable]
		public var imgSource:String;
		[Bindable]
		public var graphId:String;
		
		public function XimpelGraphItem(itemId:String, newGraphId:String, newType:String, newImgSource : String)
		{
			super(itemId);
			imgSource = new String(newImgSource);
			graphId = newGraphId;
			type = newType;
		}
	}
}